package org.garret.xmlme;

/**
 * Class representing XML attribute
 */
public class XMLAttribute { 
    private String name;
    private String value;
   
    /**
     * Get attribute value
     * @return value of the attribute
     */
    public String getValue() { 
        return value;
    }
    
    /**
     * Get attribute name
     * @return name of the attribute
     */
    public String getName() { 
        return name;
    }
    
    /**
     * Get integer value of attribute
     * @return attribute integer value
     * @throws XMLException if value of attribute is not valid integer number
     */
    public int getIntValue() { 
        if (value == null) { 
            throw new XMLException("Value not set");
        }
        try { 
            return Integer.parseInt(value);
        } catch (NumberFormatException x) { 
            throw new XMLException("The value '" + value + "' of attribute '" + name + "' is not valid integer constant");
        }
    }

    XMLAttribute(String name, String value) { 
        this.name = name;
        this.value = value;
    }
}