package org.garret.xmlme;

/**
 * Class providing XML parser callbacks. Default implementation  of all methods
 * does nothing
 */
public abstract class XMLBuilder {
    /**
     * Add new sibling element
     * @param name element name
     * @return builder for new element
     */
    public XMLBuilder addElement(String name) throws Exception {
        return null;
    }

    /**
     * Add new attribute
     * @param name attribute name
     * @param value attribute value
     */
    public void       addAttribute(String name, String value) throws Exception {}

    /**
     * Set element value
     * @param value element value
     */
    public void       setValue(String value) throws Exception {}

    /**
     * End of element definition
     */
    public void       closeElement() throws Exception {}
}